Bug 1080061 - [glibc2.27] flatpak fails to build
[glibc2.27] flatpak fails to build
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: GNOME
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks: 1079753
  Show dependency treegraph
 
Reported: 2018-02-08 12:36 UTC by Dominique Leuenberger
Modified: 2018-02-19 09:34 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-02-08 12:36:34 UTC
openSUSE Factory is in progress of merging GLIBC 2.27 - guile is amongst the packages failing to build


From the build log:
[   52s] In file included from ./libglnx/glnx-missing.h:95:0,
[   52s]                  from ./libglnx/libglnx.h:28,
[   52s]                  from common/flatpak-oci-registry.c:27:
[   52s] ./libglnx/glnx-missing-syscall.h:142:23: error: static declaration of 'copy_file_range' follows non-static declaration
[   52s]  static inline ssize_t copy_file_range(int fd_in, loff_t *off_in,
[   52s]                        ^~~~~~~~~~~~~~~
[   52s] In file included from /usr/include/glib-2.0/gio/gcredentials.h:32:0,
[   52s]                  from /usr/include/glib-2.0/gio/gio.h:46,
[   52s]                  from /usr/include/gio-unix-2.0/gio/gunixoutputstream.h:24,
[   52s]                  from common/flatpak-oci-registry.c:24:
[   52s] /usr/include/unistd.h:1110:9: note: previous declaration of 'copy_file_range' was here
[   52s]  ssize_t copy_file_range (int __infd, __off64_t *__pinoff,


Complete build log available at https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:C:DVD/flatpak/standard/x86_64
Comment 1 Swamp Workflow Management 2018-02-15 14:50:05 UTC
This is an autogenerated message for OBS integration:
This bug (1080061) was mentioned in
https://build.opensuse.org/request/show/577037 Factory / flatpak
Comment 2 Dominique Leuenberger 2018-02-19 09:34:57 UTC
(In reply to Swamp Workflow Management from comment #1)
> This is an autogenerated message for OBS integration:
> This bug (1080061) was mentioned in
> https://build.opensuse.org/request/show/577037 Factory / flatpak

Fix accepted to TW / solved